"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lightkv_1 = __importDefault(require("lightkv"));
class SettingLkv {
    constructor(fileName) {
        this.settingLKV = new lightkv_1.default(fileName, 'c+', lightkv_1.default.OBJECT);
        try {
            this.settingLKV.begin();
            if (!this.settingLKV.get('vsoa')) {
                this.settingLKV.set('vsoa', { ip: '192.168.128.1', port: 3001, passwd: '123456' });
            }
            this.settingLKV.commit();
        }
        catch (error) {
            this.settingLKV.rollback();
            console.error(error);
        }
    }
    get(key) {
        return this.settingLKV.get(key);
    }
    set(key, value) {
        this.settingLKV.set(key, value);
    }
}
exports.default = SettingLkv;
