/// <reference types="jsre-types" />
import Sqlite3 from 'sqlite3';
export interface IAddLogParams {
    category?: 'default' | 'operation';
    type?: 0 | 1 | 2 | 3;
    status?: 'success' | 'error' | 'warning' | 'info';
    msg: string;
    username?: string;
    station_uuid?: string;
}
export interface IAddAlarmParams {
    level?: 1 | 2 | 3;
    msg: string;
    username?: string;
    station_uuid?: string;
}
export interface IUpdateAlarmParams {
    uuids: string[];
    handle_name: string;
    handle_time: string;
}
export declare class SqliteDB extends Sqlite3 {
    beginTrans(): void;
    commitTrans(): void;
    rollbackTrans(): boolean;
    runSql(sql: string, ...params: any[]): void;
    runSelectSql(sql: string, ...params: any[]): any[];
}
export declare class Record {
    private tables;
    private sqlDB;
    private static readonly PAGE_SIZE;
    private static readonly DEFAULT_LOG;
    private static readonly DEFAULT_ALARM;
    constructor(path: string, tables?: {
        logName: string;
        alarmName: string;
    });
    addLog(params: IAddLogParams): {
        code: number;
        message: string;
    };
    clearLog(dateList?: string[]): {
        code: number;
        message: string;
    };
    getLogList(page?: number, params?: {
        category?: 'default' | 'operation';
        type?: 0 | 1 | 2 | 3;
    }): any[] | undefined;
    addAlarm(params: IAddAlarmParams): {
        code: number;
        message: string;
    };
    updateAlarm(params: IUpdateAlarmParams): {
        code: number;
        message: string;
    };
    clearAlarm(dateList?: string[]): {
        code: number;
        message: string;
    };
    getAlarmList(page?: number, params?: {
        level?: 1 | 2 | 3;
        status?: 0 | 1;
    }): any[] | undefined;
    private createLogTable;
    private createAlarmTable;
}
